import React from 'react';
import type { WorkspaceComponent } from '../';
export type AnyWorkspaceComponent = WorkspaceComponent<'My Queries'> | WorkspaceComponent<'Performance'> | WorkspaceComponent<'Databases'> | WorkspaceComponent<'Collections'> | WorkspaceComponent<'Collection'>;
export declare const WorkspacesProvider: React.FunctionComponent<{
    value: AnyWorkspaceComponent[];
}>;
export declare const useWorkspacePlugins: () => {
    hasWorkspacePlugin: <T extends "My Queries" | "Performance" | "Databases" | "Collections" | "Collection">(name: T) => boolean;
    getWorkspacePluginByName: <T_1 extends "My Queries" | "Performance" | "Databases" | "Collections" | "Collection">(name: T_1) => React.ComponentClass<import("../types").WorkspacePluginProps<T_1>, any> | ((props: import("../types").WorkspacePluginProps<T_1>) => React.ReactElement<any, string | React.JSXElementConstructor<any>> | null);
};
//# sourceMappingURL=workspaces-provider.d.ts.map