import React from 'react';
import type { CollectionTabInfo, OpenWorkspaceOptions, WorkspaceTab } from '../stores/workspaces';
type CompassWorkspacesProps = {
    tabs: WorkspaceTab[];
    activeTab?: WorkspaceTab | null;
    collectionInfo: Record<string, CollectionTabInfo>;
    openOnEmptyWorkspace?: OpenWorkspaceOptions | null;
    onSelectTab(at: number): void;
    onSelectNextTab(): void;
    onSelectPrevTab(): void;
    onMoveTab(from: number, to: number): void;
    onCreateTab(defaultTab?: OpenWorkspaceOptions | null): void;
    onCloseTab(at: number): void;
};
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<CompassWorkspacesProps>, {
    openOnEmptyWorkspace?: OpenWorkspaceOptions | null | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=workspaces.d.ts.map