import React from 'react';
import type { CollectionTabInfo } from '../stores/workspaces';
import { type OpenWorkspaceOptions, type WorkspaceTab } from '../stores/workspaces';
type WorkspacesWithSidebarProps = {
    activeTab: WorkspaceTab | null;
    activeTabCollectionInfo: CollectionTabInfo | null;
    onActiveWorkspaceTabChange<WS extends WorkspaceTab>(ws: WS | null, collectionInfo: WS extends {
        type: 'Collection';
    } ? CollectionTabInfo | null : never): void;
    initialWorkspaceTabs?: OpenWorkspaceOptions[] | null;
    openOnEmptyWorkspace?: OpenWorkspaceOptions | null;
    renderSidebar?: () => React.ReactElement | null;
    renderModals?: () => React.ReactElement | null;
};
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<WorkspacesWithSidebarProps>, {
    openOnEmptyWorkspace?: OpenWorkspaceOptions | null | undefined;
    onActiveWorkspaceTabChange: <WS extends WorkspaceTab>(ws: WS | null, collectionInfo: WS extends {
        type: "Collection";
    } ? CollectionTabInfo | null : never) => void;
    renderSidebar?: (() => React.ReactElement<any, string | React.JSXElementConstructor<any>> | null) | undefined;
    renderModals?: (() => React.ReactElement<any, string | React.JSXElementConstructor<any>> | null) | undefined;
    initialWorkspaceTabs?: OpenWorkspaceOptions[] | null | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=index.d.ts.map